Page MenuHomePhabricator

Implement feature flag to disable LQT Special:NewMessages
Closed, ResolvedPublic

Description

Implement a feature flag for LQT notifications (Special:NewMessages).

Add variable $wgLiquidThreadsEnableNewMessages, defaults to true

When false:

  1. 'New messages' link is not there
  2. Special:NewMessages is not registered[1]

[1] https://www.mediawiki.org/wiki/Manual:Hooks/SpecialPage_initList

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 4:25 PM
Mattflaschen-WMF renamed this task from Feature LQT Special:NewMessages using feature flag to Implement feature flag to disable LQT Special:NewMessages.Aug 4 2015, 4:27 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
SBisson updated the task description. (Show Details)Aug 5 2015, 6:09 PM
SBisson claimed this task.

Change 229447 had a related patch set uploaded (by Sbisson):
Flag to disable Special:NewMessages

https://gerrit.wikimedia.org/r/229447

Change 229447 merged by jenkins-bot:
Flag to disable Special:NewMessages

https://gerrit.wikimedia.org/r/229447

Checked locally - with LiquidThreads.php
$wgLiquidThreadsEnableNewMessages = false;

'New messages' link is not displayed.

@Quiddity found there is one more reference on Special:Watchlist.

Change 232493 had a related patch set uploaded (by Sbisson):
Remove new messages notice from watchlist

https://gerrit.wikimedia.org/r/232493

Change 232493 merged by jenkins-bot:
Remove new messages notice from watchlist

https://gerrit.wikimedia.org/r/232493

Change 232783 had a related patch set uploaded (by Mattflaschen):
Remove new messages notice from watchlist

https://gerrit.wikimedia.org/r/232783

Re-checked on local for Watchlist new messages notification( $wgLiquidThreadsEnableNewMessages = false; ).

NOTE: At some point in testing(no reproducible steps) - on the Logged out page above <div id="mw-content-text">, there was a message: "You have new messages" in orange colored letter.

Change 232783 merged by jenkins-bot:
Remove new messages notice from watchlist

https://gerrit.wikimedia.org/r/232783

DannyH closed this task as Resolved.Aug 21 2015, 4:54 PM
DannyH added a subscriber: DannyH.

NOTE: At some point in testing(no reproducible steps) - on the Logged out page above <div id="mw-content-text">,
there was a message: "You have new messages" in orange colored letter.

That sounds like the core user talk notification (neither Echo nor LQT) for anons (anons can not receive Echo notifications, so I believe it uses the stock UI).